.nav {
  @include flex;
  justify-content: center;
}

.menu {
  margin-top: 2.81em;
  margin-bottom: 3.19em;

  &__list {
    @include flex;

    &-item {
      font-size: rem(11);
      line-height: rem(22);
      text-transform: uppercase;
      margin-right: 4em;
      letter-spacing: 1.1px;
    }

    &-link {
      color: $title-color;
      transition: border .5s ease-in-out;
      text-decoration: none;
      display: inline-block;
      //&:hover {
      //  color: #57A4A4;
      //}
    }

  }
}
.home {
  color: #57A4A4;
}
.burger {
  @include flex;
  flex-direction: column;
  cursor: pointer;
  background-color: black;
  width: 2.75em;
  height: 2.31em;
  margin: 1.44em 0 1.44em 0;
  display: none;

  &__line {
    position: relative;
    display: block;
    width: 17px;
    height: 2px;
    background: white;
    transition: all .2s ease-in-out;

    &:before, &:after {
      position: absolute;
      background: white;
      content: "";
      width: 17px;
      height: 2px;
      transition: all .2s ease-in-out;
    }

    &:before {
      top: -4px;

    }
    &:after {
      top: 4px;
    }
  }
}

@media (max-width: 768px) {
 .nav {
   @include flex;
   justify-content: flex-end;
 }
  .burger {
    display: flex;
  }

  .menu {
    position: absolute;
    top: 0;
    opacity: 0;
    pointer-events: none;
    transition: all 0.5s ease-in-out;

    &__list {
      position: absolute;
      right: 0;
      flex-direction: column;
      align-items: start;
      background-color: #F5F5F5;
      transition: all 0.5s ease-in-out;

      &-item {
        width:100%;
        padding-bottom: 0.5em;

      }
      &-link {
        padding-left: 0.81em;
        width: 100%;
        &:active {
          background-color:#E5E5E5;
        }
      }
    }
  }
}

.menu.active {
  opacity: 1;
  pointer-events: all;
  top: 17px;
}

.burger__line.close {
    background: transparent;

    &:before {
      transform: rotate(45deg) translate(4px, 4px);
    }

    &:after {
      transform: rotate(-45deg) translate(2px, -2px);
    }
  }




